%define version 3.1
%define release 1.pre1.9mdk
%define lib_major 2
%define lib_name lib%{name}%{lib_major}

Summary:	Bundled Utilities for configuring an using ISDN4Linux
Name:		isdn4k-utils
Version:	%{version}
Release:	%{release}
License:	GPL
Epoch:		1
Group:		System/Configuration/Networking
Source:		isdn4k-utils.v3.1pre1.tar.bz2
Patch1:		isdn4k-utils.ipppd.patch.bz2
Patch2:		isdn4k-utils.make.patch.bz2
Patch5:		isdn4k-utils-misc.patch.bz2
Patch6:		isdn4k-utils-vbox.patch.bz2
Patch7:		isdn4k-utils-nomknod.patch.bz2
Patch8:		isdn4k-utils-isdnrep.patch.bz2
Patch9:		isdn4k-utils-glibc222.patch.bz2
Patch10:	isdn4k-utils-isdnlog.patch.bz2
Patch11:	isdn4k-utils-define.patch.bz2
Patch12:	isdn4k-utils-chmod.patch.bz2
URL:		http://www.isdn4linux.de
Requires:	kernel >= 2.2.0, libisdn4k-utils2
BuildRoot:	%{_tmppath}/isdn4k-utils-%{version}-%{release}-buildroot
BuildRequires:	libgdbm-devel, autoconf, automake, texinfo, sed, bzip2, sgml-tools, zip, gzip, libxpm-devel, mawk, libncurses-devel, tcl, kernel-source, XFree86-devel

%description
isdn4k-utils is a collection of various ISDN related utilities. This
package contains configuration tools for all ISDN adapters, supported
by Linux. Furthermore, several status-monitors are provided as well as
some ISDN-based applications. Namely ipppd, a PPP daemon for synchronous
PPP over ISDN; vbox, an answering-machine and (for use with AVM-B1 only)
capifax, a faxmachine.

%package -n %{lib_name}
Summary: Main library for %{name}
Group: System/Libraries

%description -n %{lib_name}
isdn4k-utils is a collection of various ISDN related utilities. This
package contains configuration tools for all ISDN adapters, supported
by Linux. Furthermore, several status-monitors are provided as well as
some ISDN-based applications. Namely ipppd, a PPP daemon for synchronous
PPP over ISDN; vbox, an answering-machine and (for use with AVM-B1 only)
capifax, a faxmachine.
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{lib_name}-devel
Summary: Includes and other files to develop %{name} applications.
Group: Development/C
Requires: %{lib_name} = %{version}
Provides: lib%{name}-devel %{name}-devel

%description -n %{lib_name}-devel
Libraries, include files and other resources you can use to develop audiofile
applications.

%prep

# unpack main sources
%setup -q -n isdn4k-utils
%patch1 -p1 -b .old
%patch2 -p1 -b .old
%patch5 -p1 -b .old
%patch6 -p1 -b .old
%patch7 -p1 -b .old
%patch8 -p1 -b .old
%patch9 -p1 -b .old
%patch10 -p1 -b .old
%patch11 -p1 -b .old
%patch12 -p1 -b .old

%build
cd capi20 && libtoolize --copy --force && cd ..
perl -p -i -e "s|CONFIG_FAQDIR=.*|CONFIG_FAQDIR=\'%{_docdir}/%{name}-%{version}\'|" .config.rpm
# AMD K6 is not an i686
%ifarch
perl -p -i -e "s/k6 \| //" vbox3/config.sub
perl -p -i -e "s/k6-\* \| //" vbox3/config.sub
perl -p -i -e "s/\| k5 \|/\| k5 \| k6 \|/" vbox3/config.sub
perl -p -i -e "s/\| k5-\* \|/\| k5-\* \| k6-* \|/" vbox3/config.sub
%endif
RPM_OPT_FLAGS="$RPM_OPT_FLAGS -DISDN_MAX_DRIVERS=32 -DISDN_MAX_CHANNELS=64"

cp .config.rpm .config
make CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" subconfig
perl -p -i -e "s|CDEBUGFLAGS = .*|CDEBUGFLAGS = $RPM_OPT_FLAGS|" xisdnload/Makefile xmonisdn/Makefile
perl -p -i -e "s|CXXDEBUGFLAGS = \-0.*|CXXDEBUGFLAGS = $RPM_OPT_FLAGS|" xisdnload/Makefile xmonisdn/Makefile
cp isdnlog/isdnlog/isdnlog.5.in isdnlog/isdnlog/isdnlog.5
make CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" || make CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%{_sbindir},%{_bindir},%{_includedir},%{_mandir},%{_docdir}}
(cd $RPM_BUILD_ROOT; ln -s $RPM_BUILD_ROOT/%{_mandir} $RPM_BUILD_ROOT/usr/man; \
 ln -s $RPM_BUILD_ROOT/%{_docdir} $RPM_BUILD_ROOT/usr/doc)
mkdir -p $RPM_BUILD_ROOT%{_libdir}/isdn
mkdir -p $RPM_BUILD_ROOT/etc/isdn
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/dev
make DESTDIR=$RPM_BUILD_ROOT install
cd $RPM_BUILD_ROOT/etc/isdn
mkdir -p $RPM_BUILD_ROOT/etc/ppp
#touch $RPM_BUILD_ROOT/etc/ppp/ioptions
cd $RPM_BUILD_ROOT
chmod -s $RPM_BUILD_ROOT%{_bindir}/xmonisdn
rm -f $RPM_BUILD_ROOT/dev/tty* $RPM_BUILD_ROOT/usr/{doc,man}
rm -f $RPM_BUILD_ROOT%{_bindir}/vboxbeep # security hole if used. (dam's)
rm -f $RPM_BUILD_ROOT%{_mandir}/man*/vboxbeep*

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%dir %{_libdir}/isdn
%{_libdir}/isdn/*
%{_prefix}/X11R6/include/X11/bitmaps/net*
%{_prefix}/X11R6/lib/X11/app-defaults/*
%dir %{_sysconfdir}/isdn
%config(noreplace) %{_sysconfdir}/isdn/vboxgetty.conf
%config(noreplace) %{_sysconfdir}/isdn/vboxd.conf
%config(noreplace) %{_sysconfdir}/isdn/isdn.conf
%config(noreplace) %{_sysconfdir}/isdn/callerid.conf
%config(noreplace) %{_sysconfdir}/isdn/isdnlog.*
%config(noreplace) %{_sysconfdir}/isdn/rate.conf
%config(noreplace) %attr(755,root,root) %{_sysconfdir}/isdn/stop
#%config(noreplace) %{_sysconfdir}/ppp/ioptions
%config(noreplace) %{_sysconfdir}/X11/app-defaults/XISDNLoad
%doc %{_mandir}/man*/*
%doc %{_docdir}/vbox/*
%doc %{_prefix}/X11R6/man/man*/*
%doc %{_docdir}/%{name}-%{version}
%dir /var/spool/vbox
%dir /var/log/vbox
/sbin/*
%{_bindir}/*

%files -n %{lib_name}
%defattr(-, root, root)
%doc COPYING README NEWS
%{_libdir}/libcapi*.la
%{_libdir}/libcapi*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc COPYING README NEWS
%{_libdir}/libcapi*.a
%{_libdir}/libcapi*.so
%{_includedir}/capi*.h

%changelog
* Wed Aug 22 2001 dam's <damien@mandrakesoft.com> 3.1-1.pre1.9mdk
- corrected installation modes patch 12 (isdn4k-utils-chmod)

* Mon Aug 13 2001 dam's <damien@mandrakesoft.com> 3.1-0.pre1.9mdk
- changed version/release.

* Sun Jun 10 2001 Stefan van der Eijk <stefan@eijk.nu> 3.1pre1-8mdk
- BuildRequires: XFree86-devel

* Fri Jun 01 2001 Stefan van der Eijk <stefan@eijk.nu> 3.1pre1-7mdk
- BuildRequires: kernel-source

* Thu May 31 2001 dam's <damien@mandrakesoft.com> 3.1pre1-6mdk
- removed ioptions from the file list.
- corrected the patch 11 (define) from snailtalk to fit with new headers
- patch 11 (define) description: define ripped shamelessly from the value in isdn.h in kernel 2.4.4.
- added RPM_OPT_FLAGS="$RPM_OPT_FLAGS -DISDN_MAX_DRIVERS=32 -DISDN_MAX_CHANNELS=64"

* Sat May 26 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.1pre1-5mdk
- Humm the new kernel seems to define ISDN_MAX_CHANNELS within
  #define __KERNEL__ so we explicitly define it here via a patch.
- libtoolize --copy --force before build to make it build with libtool 1.4.

* Mon Apr 30 2001 dam's <damien@mandrakesoft.com> 3.1pre1-4mdk
- added isdnlog patch.

* Tue Mar 27 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 3.1pre1-3mdk
- Fix build on glibc 2.2.2

* Thu Jan 11 2001 dam's <damien@mandrakesoft.com> 3.1pre1-2mdk
- removed setgid-binary on xmonisdn
- removed vboxbeep. If setuid, it's a security hole. Without, unuseable.
from Alexander Skwar <ASkwar@Linux-Mandrake.com> :
- Added missing buildrequires
- Added requirement for libisdn4k-utils2
- Some people like to have binaries...  Added all the missing files

* Mon Dec  4 2000 dam's <damien@mandrakesoft.com> 3.1pre1-1mdk
- new lib policy
- removed patch4 (isdn4k-utils.ipppd), it has been incorporated in sources
- removed patch3 (isdn4k-utils-3.1beta7-newisdninclude), it has been incorporated in sources
- version 3.1pre1
- corrected compilation errors : patch 8 (isdn4k-utils-isdnrep)
- corrected macros

* Fri Sep  1 2000 dam's <damien@mandrakesoft.com> 3.1b7-13mdk
- added noreplace.

* Sun Aug 27 2000 dam's <damien@mandrakesoft.com> 3.1b7-12mdk
- Corrected patch 6 (vbox).
- not creating nodes anymore.

* Sat Aug 26 2000 dam's <damien@mandrakesoft.com> 3.1b7-11mdk
- added patch 7 (nomknod) to mknod at postinstall

* Sat Aug 26 2000 dam's <damien@mandrakesoft.com> 3.1b7-10mdk
- Added patch 6 to correct vbox configure. Bad hack.
- Applying patch 2 again.

* Tue Jul 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.1b7-9mdk
- Remove dev entry moved to dev package.
- Add defaultroute feature.


* Wed Jul 19 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.1b7-7mdk
- remove duplicated /dev entries (old bug)
- use new macros
- BM (aka titi&&warly&&chmoul vs the whole world)

* Mon Jun 19 2000 dam's <damien@mandrakesoft.com> 3.1b7-6mdk
- root rebuild to make it work.

* Thu May 25 2000 David BAUDENS <baudens@mandrakesoft.com> 3.1b7-4mdk
- Fix build for i486 & K6
- spec-helper
- Really use RPM_OPT_FLAGS
- Relocate doc in the right directory

* Wed May 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.1b7-3mdk
- Clean up specs.
- Fix compilation with last kernel.

* Fri Mar 31 2000 dam's <damien@mandrakesoft.com> 3.1b7-2mdk
- Removed rootperm use (make.patch). 

* Sat Feb 05 2000 Jesse Kuang <kjx@linux-mandrake.com>
- fixes libcapi20.so missing

* Sat Jan 29 2000 Jesse Kuang <kjx@linux-mandrake.com>
- update to 3.1beta7

* Thu Nov 11 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix includes.
- Build release.

* Sun Aug 19 1999 Jesse Kuang <kjx@linux.org.cn>
- 3.0 doesn't work with 2.2.12/13, using CVS snapshot
- fix ipppX route when hangup, need /etc/ppp/ioptions

* Tue Aug 17 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- fix security leak (xmonisdn needs setgid, not setuid)

* Tue May 18 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- chown -R root.root *

* Mon May 17 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- rebuild with new kernel

* Mon May 10 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- initial Mandrake SRPM
